### Virtual Method

# Foundry LlmMessage list_tool_calls

#### Declaration [src]

    GListModel*
    list_tool_calls (
      FoundryLlmMessage* self
    )

#### Description

No description available.

#### Return value

Type: A list model of `GObject`

A `GListModel` of `FoundryLlmToolCall` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.